package com.sckw.payment.utils;

import com.github.pagehelper.PageInfo;
import com.sckw.core.model.page.PageRes;
import com.sckw.payment.model.vo.res.SettlementLogisticsSumVo;

import java.util.List;

/**
 * 返回的分页数据中，有额外需要返回的参数
 *
 * @author Aick Spt
 * @date 2023-07-25 17:31
 */
public class PageMoreRes<T> extends PageRes<T> {

    /**
     * 更多其余数据
     */
    public SettlementLogisticsSumVo otherList;


    public void setOtherList(SettlementLogisticsSumVo otherList) {
        this.otherList = otherList;
    }


    public SettlementLogisticsSumVo getOtherList() {
        return otherList;
    }

    public PageMoreRes(PageInfo<T> pageInfo, SettlementLogisticsSumVo otherList) {
        super(pageInfo);
        this.otherList = otherList;
    }



}
